Subject: Re: non latin file names?
From: Kazuhiro Fujieda <[email-masked]>
To: Chris Abbey <[email-masked]>
Cc: [email-masked]
Date: 28 Oct 2000 08:51:36 +0900

>>> On Tue, 24 Oct 2000 21:26:05 -0500
>>> Chris Abbey <[email-masked]> said:

> (ie. to tie this back to the start of the thread, ls will someday learn
> how to display ó in the general gnu-fileutils; when it does,
> cygwin will be ready. That second part btw is a massive effort,
> and one that a handfull of big companies (IBM) are looking at
> very hard.)

I'm trying to introduce the i18n APIs standardized by ISO C or
Single UNIX Specification into the Cygwin DLL. Most of them can
be emulated by corresponding Win32 APIs, so it doesn't need a
massive effort.

I have already implemented APIs standardized by ISO C except for
strftime() and most part of the extensions of Amendment 1. But
I have not merged them into the development source of the Cygwin 
DLL yet. I'm going to do so when I finish to implement strftime().

The i18n APIs in Windows doesn't know how to represent a time
nor a date along with a time in the proper format of the current
locale. So implementing strftime() has a rough passage.

iconv? It's future work.
____
  | AIST      Kazuhiro Fujieda <[email-masked]>
  | HOKURIKU  School of Information Science
o_/ 1990      Japan Advanced Institute of Science and Technology

--
Want to unsubscribe from this list?
Send a message to [email-masked]